#!/usr/bin/python

import os
import os.path

FREECIVDIR = '[freecivdir]'
HOMEDIR = '[homedir]'
SUPPORTDIR = '[supportdir]'

def main():

    # Make sure the freeciv-x.y.z directory exists
	if (not os.path.exists(FREECIVDIR)):
		print 'Cannot find directory "%s".' % (FREECIVDIR,)
		sys.exit()

	os.putenv('FREECIV_PATH', os.path.join(FREECIVDIR, 'share/freeciv'))
	os.putenv('PANGO_RC_FILE', os.path.join(SUPPORTDIR, 'pango/pangorc'))
	os.putenv('GDK_PIXBUF_MODULE_FILE', os.path.join(SUPPORTDIR, 'gtk-2.0/gdk-pixbuf.loaders'))
	os.putenv('FONTCONFIG_FILE', os.path.join(SUPPORTDIR, 'fonts/fonts.conf'))

	path = os.getenv('PATH', '')
	os.putenv('PATH', '%s:%s' % (path, os.path.join(FREECIVDIR, 'bin')))

	os.chdir(os.path.join(HOMEDIR, '.freeciv/saves'))
	os.spawnl(os.P_NOWAIT, os.path.join(FREECIVDIR, 'bin/civclient'), os.path.join(FREECIVDIR, 'bin/civclient'))

if (__name__ == '__main__'):
	main()
